summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-03-28 16:44:16 +0200
committerDavid Seifert <soap@gentoo.org>2016-03-28 16:44:39 +0200
commit6f17acd8d7e1235cdf3590df00889e0399b72a9a (patch)
treeac7c92b24d5101a5afe5340e7131d88d89f60837 /sci-physics
parentsys-devel/boost-m4: Version bump required for recent boost releases (diff)
downloadgentoo-6f17acd8d7e1235cdf3590df00889e0399b72a9a.tar.gz
gentoo-6f17acd8d7e1235cdf3590df00889e0399b72a9a.tar.bz2
gentoo-6f17acd8d7e1235cdf3590df00889e0399b72a9a.zip
sci-physics/herwig++: Dep on >=sys-devel/boost-m4-0.4_p20160328 for modern boost
Gentoo-Bug: 570458 Package-Manager: portage-2.2.28
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/herwig++/herwig++-2.7.1-r1.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild b/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
index 9777789bb27..1e8d799eb3c 100644
--- a/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
+++ b/sci-physics/herwig++/herwig++-2.7.1-r1.ebuild
@@ -28,12 +28,15 @@ RDEPEND="
<=sci-physics/looptools-2.8:0=
~sci-physics/thepeg-1.9.2:0=
fastjet? ( sci-physics/fastjet:0= )"
-DEPEND="${RDEPEND}"
+DEPEND="${RDEPEND}
+ >=sys-devel/boost-m4-0.4_p20160328"
S="${WORKDIR}/${MYP}"
src_prepare() {
epatch "${FILESDIR}"/${PN}-2.6.3-looptools.patch
+ # fixes bug 570458, which is due to an outdated bundled boost.m4
+ rm m4/boost.m4 || die
find -name 'Makefile.am' -exec \
sed -i -e '1ipkgdatadir=$(datadir)/herwig++' {} \; || die
autotools-utils_src_prepare